## amitk_color_table amitk_color_table |

## Synopsis

    enum                AmitkColorTable;
    typedef             color_data_t;
    typedef             color_data16_t;
    typedef             hsv_data_t;
                        rgba_t;
                        rgba16_t;
                        rgb_t;
                        hsv_t;
    #define             amitk_color_table_rgba_to_uint32    (rgba)
    rgba_t              amitk_color_table_outline_color     (AmitkColorTable which,
                                                             gboolean highlight);
    rgba_t              amitk_color_table_lookup            (amide_data_t datum,
                                                             AmitkColorTable which,
                                                             amide_data_t min,
                                                             amide_data_t max);
    const gchar*        amitk_color_table_get_name          (const AmitkColorTable which);

## Description

## Details

### enum AmitkColorTable

    typedef enum {
      AMITK_COLOR_TABLE_BW_LINEAR,
      AMITK_COLOR_TABLE_WB_LINEAR,
      AMITK_COLOR_TABLE_BWB_LINEAR,
      AMITK_COLOR_TABLE_WBW_LINEAR,
      AMITK_COLOR_TABLE_RED_TEMP,
      AMITK_COLOR_TABLE_INV_RED_TEMP,
      AMITK_COLOR_TABLE_BLUE_TEMP,
      AMITK_COLOR_TABLE_INV_BLUE_TEMP,
      AMITK_COLOR_TABLE_GREEN_TEMP,
      AMITK_COLOR_TABLE_INV_GREEN_TEMP,
      AMITK_COLOR_TABLE_HOT_METAL,
      AMITK_COLOR_TABLE_INV_HOT_METAL,
      AMITK_COLOR_TABLE_HOT_METAL_CONTOUR,
      AMITK_COLOR_TABLE_INV_HOT_METAL_CONTOUR,
      AMITK_COLOR_TABLE_HOT_BLUE,
      AMITK_COLOR_TABLE_INV_HOT_BLUE,
      AMITK_COLOR_TABLE_HOT_GREEN,
      AMITK_COLOR_TABLE_INV_HOT_GREEN,
      AMITK_COLOR_TABLE_SPECTRUM,
      AMITK_COLOR_TABLE_INV_SPECTRUM,
      AMITK_COLOR_TABLE_NIH_WHITE,
      AMITK_COLOR_TABLE_INV_NIH_WHITE,
      AMITK_COLOR_TABLE_NIH,
      AMITK_COLOR_TABLE_INV_NIH,
      AMITK_COLOR_TABLE_NUM
    } AmitkColorTable;

### color_data_t

    typedef guint8 color_data_t;

### color_data16_t

    typedef guint16 color_data16_t;

### hsv_data_t

    typedef gdouble hsv_data_t;

### rgba_t

    typedef struct {
      color_data_t r;
      color_data_t g;
      color_data_t b;
      color_data_t a;
    } rgba_t;

### rgba16_t

    typedef struct {
      color_data16_t r;
      color_data16_t g;
      color_data16_t b;
      color_data16_t a;
    } rgba16_t;

### rgb_t

    typedef struct {
      color_data_t r;
      color_data_t g;
      color_data_t b;
    } rgb_t;

### hsv_t

    typedef struct {
      hsv_data_t h;
      hsv_data_t s;
      hsv_data_t v;
    } hsv_t;

### amitk_color_table_rgba_to_uint32()

    #define amitk_color_table_rgba_to_uint32(rgba) (((rgba).r<<24) | ((rgba).g<<16) | ((rgba).b<<8) | ((rgba).a<<0))

`rgba` : |

### amitk_color_table_outline_color ()

    rgba_t              amitk_color_table_outline_color     (AmitkColorTable which,
                                                             gboolean highlight);

`which` : |
`highlight` : |
Returns : |

### amitk_color_table_lookup ()

    rgba_t              amitk_color_table_lookup            (amide_data_t datum,
                                                             AmitkColorTable which,
                                                             amide_data_t min,
                                                             amide_data_t max);

`datum` : |
`which` : |
`min` : |
`max` : |
Returns : |

### amitk_color_table_get_name ()

    const gchar*        amitk_color_table_get_name          (const AmitkColorTable which);

`which` : |
Returns : |